OpenTTD Source: Map::Iterator Struct Reference

OpenTTD Source 15.3

Public Types | Public Member Functions | Private Attributes
Map::Iterator Struct Reference

Iterator to iterate all Tiles. More...

## Public Types
typedef Tile | value_type
typedef Tile * | pointer
typedef Tile & | reference
typedef size_t | difference_type
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions
| Iterator (TileIndex index)
bool | operator== (const Iterator &other) const
Tile | operator* () const
Iterator & | operator++ ()

## Private Attributes
TileIndex | index

## Detailed Description

Iterator to iterate all Tiles.

Definition at line 211 of file map_func.h.

## Member Typedef Documentation

## ◆ difference_type

typedef size_t Map::Iterator::difference_type

Definition at line 215 of file map_func.h.

## ◆ iterator_category

typedef std::forward_iterator_tag Map::Iterator::iterator_category

Definition at line 216 of file map_func.h.

## ◆ pointer

typedef Tile* Map::Iterator::pointer

Definition at line 213 of file map_func.h.

## ◆ reference

typedef Tile& Map::Iterator::reference

Definition at line 214 of file map_func.h.

## ◆ value_type

typedef Tile Map::Iterator::value_type

Definition at line 212 of file map_func.h.

## Constructor & Destructor Documentation

## ◆ Iterator()

Map::Iterator::Iterator | ( | TileIndex | index | ) |
| inlineexplicit

Definition at line 218 of file map_func.h.

## Member Function Documentation

## ◆ operator*()

Tile Map::Iterator::operator* | ( |  | ) | const
| inline

Definition at line 220 of file map_func.h.

## ◆ operator++()

Iterator & Map::Iterator::operator++ | ( |  | ) |
| inline

Definition at line 221 of file map_func.h.

## ◆ operator==()

bool Map::Iterator::operator== | ( | const Iterator & | other | ) | const
| inline

Definition at line 219 of file map_func.h.

## Field Documentation

## ◆ index

TileIndex Map::Iterator::index
| private

Definition at line 223 of file map_func.h.

The documentation for this struct was generated from the following file:

- src/map_func.h